# $Revision: 1.6.2.3 $, $Date: 2003/09/15 13:20:01 $
Summary:	C++ interface to MySQL Database
Summary(pl):	Interfejs C++ do bazy MySQL
Name:		mysql++
Version:	1.7.9
Release:	2
License:	LGPL
Group:		Development/Libraries
Source0:	ftp://sunsite.icm.edu.pl/pub/unix/mysql/Downloads/mysql++/%{name}-%{version}.tar.gz
# Source0-md5:	1312fb4e33dcce07fac5fa9c2ac801f7
Patch0:		%{name}-mysql4.patch
URL:		http://www.mysql.com/downloads/api-mysql++.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mysql++ is a C++ interface to MySQL API.
%description -l pl
Mysql++ jest interfejsem C++ do API MySQL.

%package devel
Summary:	C++ interface to MySQL Database (headers)
Summary(pl):	Interfejs C++ do bazy MySQL (pliki nagwkowe)
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Mysql++ is a C++ interface to MySQL API. Package contains the
development header files necessary to develop MySQL client
applications using Mysql++.

%description devel -l pl
Mysql++ jest interfejsem C++ do API MySQL. Paczka zawiera nagwki
potrzebne do rozwoju aplikacji klienckich uywajcych Mysql++.

%package static
Summary:	C++ interface to MySQL Database (static libraries)
Summary(pl):	Interfejs C++ do bazy MySQL (biblioteki statyczne)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Mysql++ is a C++ interface to MySQL API. Package contains the static
libraries.

%description static -l pl
Mysql++ jest interfejsem C++ do API MySQL. Paczka zawiera biblioteki
statyczne.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README doc/*
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql++.spec,v $
Revision 1.6.2.3  2003/09/15 13:20:01  ankry
- removed not appropriate for Ra -gcc3 patch
- ported to mysql-4 API (-mysql4 patch)

Revision 1.6.2.2  2003/09/10 15:02:48  ankry
- md5

Revision 1.6.2.1  2003/07/11 12:02:05  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.6  2002/09/15 13:41:35  qboosh
- added gcc3 patch to allow compiling this mess with libstdc++v3
  (using deprecated <strstream> - don't know how to convert to <sstream>)
- fixed perms, little better descriptions
- release 2

Revision 1.5  2002/08/21 16:51:57  kloczek
- seems now finished :)

Revision 1.4  2002/08/21 15:51:52  kloczek
- final cleanups.

Revision 1.3  2002/08/20 20:02:21  djrzulf
- finished,
- STBR,

Revision 1.2  2002/08/20 19:24:20  djrzulf
- cosmetics (ac/am),
- STBR,

Revision 1.1  2002/08/19 21:41:16  djrzulf
- initial release,
- adapterized,
- look at "TODO" at the top of file, if it's OK -> STBR,
